
export const tableList: any[] = [
  {
    businessId: 1,
    name: 'test1',
    remark: '这是第一个测试文件的备注信息。',
    workgroup: '测试功能部',
    createTime: '2023-01-16 11:30:45',
    status: '0',
    source: 'Hive',
    uploadStatus: '0',
  },
  {
    businessId: 2,
    name: 'test2',
    remark: '第二个测试文件，用于测试不同状态的效果。',
    workgroup: '开发部',
    createTime: '2023-02-20 15:45:20',
    status: '1',
    source: 'Hive',
    uploadStatus: '0',
  },
  {
    businessId: 3,
    name: 'test3',
    remark: '第三个测试文件，模拟已完成所有流程的情况。',
    workgroup: '测试功能部',
    createTime: '2023-03-10 09:15:30',
    status: '1',
    source: 'Hive',
    uploadStatus: '1',
  },
  {
    businessId: 4,
    name: 'test4',
    remark: '第四个测试文件，检查创建时间排序。',
    workgroup: '市场部',
    createTime: '2023-04-05 14:25:10',
    status: '0',
    source: 'HBase',
    uploadStatus: '1',
  },
  {
    businessId: 5,
    name: 'test5',
    remark: '第五个测试文件，用于验证不同部门的数据展示。',
    workgroup: '财务部',
    createTime: '2023-05-15 16:50:05',
    status: '0',
    source: 'HBase',
    uploadStatus: '0',
  },
];
export const TreeData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 100,
    parentWorkSpaceName: '我创建的',
    workSpaceName: '我创建的',
    parentId: 0,
    'code:': '001',
    ancestors: '0',
    orderNum: 0,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 201,
    parentWorkSpaceName: 'test1',
    workSpaceName: 'test1',
    parentId: 100,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 202,
    parentWorkSpaceName: 'test2',
    workSpaceName: 'test2',
    parentId: 100,
    'code:': '004',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 203,
    parentWorkSpaceName: 'test3',
    workSpaceName: 'test3',
    parentId: 100,
    'code:': '004',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 204,
    parentWorkSpaceName: 'test4',
    workSpaceName: 'test4',
    parentId: 100,
    'code:': '004',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 205,
    parentWorkSpaceName: 'test5',
    workSpaceName: 'test5',
    parentId: 100,
    'code:': '004',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
];
export const editTableList: any[] = [
  {
    field: 'user_id',
    name: '用户ID',
    remark: '唯一标识每个用户的编号',
    type: 'INT',
    security: '高',
    status: '敏感',
    sensitiveType: '身份信息',
  },
  {
    field: 'username',
    name: '用户名',
    remark: '用户选择的名字，可能不唯一',
    type: 'VARCHAR(50)',
    security: '中',
    status: '非敏感',
    sensitiveType: '普通信息',
  },
  {
    field: 'email',
    name: '电子邮箱',
    remark: '用户的联系邮箱地址',
    type: 'VARCHAR(100)',
    security: '高',
    status: '敏感',
    sensitiveType: '联系方式',
  },
  {
    field: 'phone_number',
    name: '电话号码',
    remark: '用户的联系电话',
    type: 'VARCHAR(20)',
    security: '高',
    status: '敏感',
    sensitiveType: '联系方式',
  },
  {
    field: 'address',
    name: '家庭住址',
    remark: '用户的居住地址',
    type: 'TEXT',
    security: '中',
    status: '敏感',
    sensitiveType: '位置信息',
  },
  {
    field: 'birth_date',
    name: '出生日期',
    remark: '用户的生日',
    type: 'DATE',
    security: '低',
    status: '非敏感',
    sensitiveType: '个人信息',
  },
  {
    field: 'last_login',
    name: '最后登录时间',
    remark: '用户最近一次登录的时间戳',
    type: 'DATETIME',
    security: '低',
    status: '非敏感',
    sensitiveType: '活动记录',
  },
];
export const basicData = {
  name: 'wyx_contact',
  description: '联系人信息',
  tags: '测试',
  owner: '数据平台治理部',
  sensitiveStatus: '敏感',
  version: 'V1.0',
  source: '元数据',
};
export const sourceTableData = {
  name: 'contact',
  path: '商城工作区/18inceptor/wyx/contact',
  size: '40.84KB',
  filterCondition: '-',
};
export const optionData = {
  autoOffShelfDate: '2024-12-31 23:59:59',
  shareType: '公开',
  visibleRange: '所有人',
  filterCondition: 'price > 100 AND stock > 0',
};
export const permissionData = {
  download: '是',
  encryption: '否',
  push: '否',
  api: '是',
  filterType: '按时间过滤',
};
export const informationTableList: any[] = [
  {
    field: 'name',
    name: '姓名',
    remark: '姓名',
    type: 'string',
    status: '敏感',
    security: 'G2',
    sensitiveType: '姓名（简体中...',
    standard: '-',
  },
  {
    field: 'phone_number',
    name: '手机号',
    remark: '手机号',
    type: 'string',
    status: '敏感',
    security: 'G3',
    sensitiveType: '手机号（中国...',
    standard: '-',
  },
  {
    field: 'student_id',
    name: '学号',
    remark: '学号',
    type: 'string',
    status: '敏感',
    security: 'G3',
    sensitiveType: '账户编号',
    standard: '-',
  },
  {
    field: 'major',
    name: '专业',
    remark: '专业',
    type: 'string',
    status: '敏感',
    security: 'G10',
    sensitiveType: '专业',
    standard: '-',
  },
  {
    field: 'origin_city',
    name: '生源地',
    remark: '生源地',
    type: 'string',
    status: '不敏感',
    security: '未分级',
    sensitiveType: '-',
    standard: '-',
  },
  {
    field: 'ethnic',
    name: '民族',
    remark: '民族',
    type: 'string',
    status: '敏感',
    security: 'G2',
    sensitiveType: '民族',
    standard: '-',
  },
  {
    field: 'building_num',
    name: '楼号',
    remark: '楼号',
    type: 'int',
    status: '不敏感',
    security: '未分级',
    sensitiveType: '-',
    standard: '-',
  },
  {
    field: 'room_num',
    name: '寝室号',
    remark: '寝室号',
    type: 'int',
    status: '不敏感',
    security: '安全分级_03',
    sensitiveType: '敏感类型_01',
    standard: '-',
  },
];
export const sampleDataTableList: any[] = [
  {
    name: '******',
    phone_number_string: '******',
    student_id: '******',
    major: '******',
    origin_city: '北京市',
    ethnic: '******',
    building_num: '18',
  },
  {
    name: '******',
    phone_number_string: '******',
    student_id: '******',
    major: '******',
    origin_city: '上海市',
    ethnic: '******',
    building_num: '18',
  },
  {
    name: '******',
    phone_number_string: '******',
    student_id: '******',
    major: '******',
    origin_city: '广州市',
    ethnic: '******',
    building_num: '18',
  },
  {
    name: '******',
    phone_number_string: '******',
    student_id: '******',
    major: '******',
    origin_city: '深圳市',
    ethnic: '******',
    building_num: '18',
  },
  {
    name: '******',
    phone_number_string: '******',
    student_id: '******',
    major: '******',
    origin_city: '杭州市',
    ethnic: '******',
    building_num: '18',
  },
  {
    name: '******',
    phone_number_string: '******',
    student_id: '******',
    major: '******',
    origin_city: '武汉市',
    ethnic: '******',
    building_num: '18',
  },
];
export const globalDataTableList: any[] = [
  {
    name: 'test1',
    status: '1',
    id: '1',
  },
  {
    name: 'test2',
    status: '1',
    id: '2',
  },
  {
    name: 'test3',
    status: '1',
    id: '3',
  },
  {
    name: 'test4',
    status: '1',
    id: '4',
  },
];
export const uploadFieldTableList: any[] = [
  {
    name: 'id',
    chineseName: '标识',
    type: 'INT',
  },
  {
    name: 'username',
    chineseName: '用户名',
    type: 'VARCHAR',
  },
  {
    name: 'password',
    chineseName: '密码',
    type: 'VARCHAR',
  },
  {
    name: 'email',
    chineseName: '电子邮件',
    type: 'VARCHAR',
  },
  {
    name: 'age',
    chineseName: '年龄',
    type: 'INT',
  },
  {
    name: 'birthday',
    chineseName: '生日',
    type: 'DATE',
  },
  {
    name: 'created_at',
    chineseName: '创建时间',
    type: 'DATETIME',
  },
  {
    name: 'updated_at',
    chineseName: '更新时间',
    type: 'DATETIME',
  },
];
export const basicNewData = {
  name: 'wyx_contact',
  description: '联系人信息',
  tags: '测试',
  owner: '数据平台治理部',
  sensitiveStatus: '敏感',
  version: 'V10.0',
  source: '元数据',
};
export const basicOldData = {
  name: 'wyx_contact',
  description: '联系人信息',
  tags: '测试',
  owner: '数据平台治理部',
  sensitiveStatus: '敏感',
  version: 'V9.0',
  source: '元数据',
};
export const newFileTreeData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 100,
    parentWorkSpaceName: '公共数据集',
    workSpaceName: '公共数据集',
    parentId: 0,
    'code:': '001',
    ancestors: '0',
    orderNum: 0,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 101,
    parentWorkSpaceName: '公共数据集',
    workSpaceName: '党建建设',
    parentId: 100,
    'code:': '002',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 201,
    parentWorkSpaceName: '党建建设',
    workSpaceName: '基本信息',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 202,
    parentWorkSpaceName: '党建建设',
    workSpaceName: '党员发展计划',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 203,
    parentWorkSpaceName: '党建建设',
    workSpaceName: '主题教育活动',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 204,
    parentWorkSpaceName: '党建建设',
    workSpaceName: '党建工作总结',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 205,
    parentWorkSpaceName: '党建建设',
    workSpaceName: '党史知识竞赛',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 206,
    parentWorkSpaceName: '党建建设',
    workSpaceName: '红色文化展览',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 207,
    parentWorkSpaceName: '党建建设',
    workSpaceName: '志愿服务活动',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 208,
    parentWorkSpaceName: '党建建设',
    workSpaceName: '党员风采展示',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 102,
    parentWorkSpaceName: '公共数据集',
    workSpaceName: '交通信息',
    parentId: 100,
    'code:': '004',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 209,
    parentWorkSpaceName: '交通信息',
    workSpaceName: '城市公交优化方案',
    parentId: 102,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 210,
    parentWorkSpaceName: '交通信息',
    workSpaceName: '智能交通系统部署',
    parentId: 102,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 211,
    parentWorkSpaceName: '交通信息',
    workSpaceName: '绿色出行倡议',
    parentId: 102,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
];
