import { BasicColumn } from '@/components/Table';

export const Columns: BasicColumn[] = [
  {
    title: '资源名称',
    dataIndex: 'resourceName',
  },
  {
    title: '资源编目',
    dataIndex: 'resourceCataloging',
  },
  {
    title: '权属机构',
    dataIndex: 'ownershipBody',
  },
  {
    title: '共享类型',
    dataIndex: 'isShare',
    slots: { customRender: 'isShare' },
  },
  {
    title: '申请人',
    dataIndex: 'applicant',
  },
  {
    title: '申请人所属机构',
    dataIndex: 'applicantOrganization',
  },
  {
    title: '权限类型',
    dataIndex: 'permissionType',
  },
];
