export const resourceList = [
  {
    resourceName: 'API 文档生成',
    scene: 'apiDocGeneration',
    resourceCataloging: 'API 管理',
    icon: 'mdi:file-document-outline',
    color: '#71c8d5',
    ownershipBody: '开发部',
    applicantOrganization: '开发部',
    description: '自动生成 RESTful 和 GraphQL API 的文档，支持多种输出格式。',
    label: '工具',
    permissionType: '推送',
    applicant: 'admin',
    createdTime: '2023/10/01 09:00:00',
    view: '150',
    edit: '6',
    isShare: 'true',
  },
  {
    resourceName: 'API 测试平台',
    scene: 'apiTestingPlatform',
    resourceCataloging: 'API 管理',
    icon: 'mdi:test-tube',
    color: '#71c8d5',
    ownershipBody: '测试部',
    applicantOrganization: '测试部',
    permissionType: '推送',
    description: '提供一个全面的 API 测试环境，包括自动化测试和性能测试。',
    label: '测试',
    applicant: 'admin',
    createdTime: '2023/10/05 14:30:00',
    view: '200',
    edit: '8',
    isShare: 'true',
  },
  {
    resourceName: 'API 安全审计',
    scene: 'apiSecurityAudit',
    resourceCataloging: 'API 安全',
    icon: 'mdi:shield-check',
    color: '#71c8d5',
    ownershipBody: '安全部',
    applicantOrganization: '安全部',
    permissionType: '下载',
    description: '定期进行 API 安全审查，确保所有接口符合安全标准。',
    label: '安全',
    applicant: 'admin',
    createdTime: '2023/10/10 11:00:00',
    view: '180',
    edit: '7',
    isShare: 'false',
  },
  {
    resourceName: 'API 版本管理',
    scene: 'apiVersionManagement',
    resourceCataloging: 'API 管理',
    icon: 'mdi:history',
    color: '#71c8d5',
    ownershipBody: '架构部',
    applicantOrganization: '架构部',
    permissionType: '推送',
    description: '管理和维护不同版本的 API，确保向后兼容性和稳定性。',
    label: '管理',
    applicant: 'admin',
    createdTime: '2023/10/15 09:45:00',
    view: '160',
    edit: '5',
    isShare: 'true',
  },
  {
    resourceName: 'API 性能监控',
    scene: 'apiPerformanceMonitoring',
    resourceCataloging: 'API 监控',
    icon: 'mdi:chart-line',
    color: '#71c8d5',
    ownershipBody: '运维部',
    applicantOrganization: '运维部',
    permissionType: '下载',
    description: '实时监控 API 的性能指标，如响应时间和吞吐量，以保证服务的高可用性。',
    label: '监控',
    applicant: 'admin',
    createdTime: '2023/10/20 10:00:00',
    view: '190',
    edit: '6',
    isShare: 'false',
  },
  {
    resourceName: 'API 流量分析',
    scene: 'apiTrafficAnalysis',
    resourceCataloging: 'API 分析',
    icon: 'mdi:chart-bar',
    color: '#71c8d5',
    ownershipBody: '数据分析部',
    applicantOrganization: '数据分析部',
    permissionType: '推送',
    description: '分析 API 的流量模式，识别使用趋势和潜在问题。',
    label: '分析',
    applicant: 'admin',
    createdTime: '2023/10/25 11:15:00',
    view: '170',
    edit: '4',
    isShare: 'true',
  },
  {
    resourceName: 'API 认证与授权',
    scene: 'apiAuthenticationAndAuthorization',
    resourceCataloging: 'API 安全',
    icon: 'mdi:lock',
    color: '#71c8d5',
    ownershipBody: '安全部',
    applicantOrganization: '安全部',
    permissionType: '下载',
    description: '实现强大的认证和授权机制，保护 API 不受未授权访问。',
    label: '安全',
    applicant: 'admin',
    createdTime: '2023/10/30 12:30:00',
    view: '185',
    edit: '5',
    isShare: 'false',
  },
  {
    resourceName: 'API 日志记录',
    scene: 'apiLogging',
    resourceCataloging: 'API 监控',
    icon: 'mdi:clipboard-list-outline',
    color: '#71c8d5',
    ownershipBody: '运维部',
    applicantOrganization: '运维部',
    permissionType: '推送',
    description: '详细记录 API 调用的日志，便于故障排查和行为审计。',
    label: '监控',
    applicant: 'admin',
    createdTime: '2023/11/05 13:00:00',
    view: '165',
    edit: '3',
    isShare: 'true',
  },
];
