import { FormSchema } from '@/components/Form';

export const tableList: any[] = [
  {
    businessId: 1,
    name: '图标加载',
    scene: '离线加载',
    releaseStatus: '未发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '个人工作组',
  },
  {
    businessId: 2,
    name: '图标专利文件加载',
    scene: '离线加载',
    releaseStatus: '未发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '个人工作组',
  },
  {
    businessId: 3,
    name: '版权证书加载',
    scene: '离线加载',
    releaseStatus: '已下线',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '个人工作组',
  },
  {
    businessId: 4,
    name: '学生成绩表格',
    scene: '文件加载',
    releaseStatus: '已发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '共享工作组',
  },
  {
    businessId: 5,
    name: '各科试卷加载',
    scene: '文件加载',
    releaseStatus: '已发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '共享工作组',
  },
  {
    businessId: 6,
    name: '学生个人信息加载',
    scene: '准实时加载',
    releaseStatus: '已发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '共享工作组',
  },
];

export const TreeData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 0,
    parentWorkSpaceName: '公共API', // 根节点没有上级工作空间名称
    workSpaceName: '公共API',
    parentId: 0o00001, // 根节点没有父级ID
    code: '000', // 为根节点设置唯一的代码
    ancestors: '', // 根节点没有祖先
    orderNum: 0,
    children: [
      {
        delFlag: '0',
        flag: '1',
        businessId: 100,
        parentWorkSpaceName: '公共API',
        workSpaceName: 'API 管理',
        parentId: 0,
        code: '001',
        ancestors: '0',
        orderNum: 0,
        children: [
          {
            delFlag: '0',
            flag: '1',
            businessId: 101,
            parentWorkSpaceName: 'API 管理',
            workSpaceName: 'API 文档生成',
            parentId: 100,
            code: '002',
            ancestors: '0,100',
            orderNum: 1,
            children: [],
            selectType: null,
            createTime: '2023/10/01 09:00:00',
            createBy: 'admin',
          },
          {
            delFlag: '0',
            flag: '1',
            businessId: 102,
            parentWorkSpaceName: 'API 管理',
            workSpaceName: 'API 测试平台',
            parentId: 100,
            code: '003',
            ancestors: '0,100',
            orderNum: 2,
            children: [],
            selectType: null,
            createTime: '2023/10/05 14:30:00',
            createBy: 'admin',
          },
          {
            delFlag: '0',
            flag: '1',
            businessId: 103,
            parentWorkSpaceName: 'API 管理',
            workSpaceName: 'API 版本管理',
            parentId: 100,
            code: '004',
            ancestors: '0,100',
            orderNum: 3,
            children: [],
            selectType: null,
            createTime: '2023/10/15 09:45:00',
            createBy: 'admin',
          },
        ],
        selectType: null,
        createTime: '2024-10-24 10:04:04',
        createBy: 'admin',
      },
      {
        delFlag: '0',
        flag: '1',
        businessId: 200,
        parentWorkSpaceName: '公共API',
        workSpaceName: 'API 安全',
        parentId: 0,
        code: '005',
        ancestors: '0',
        orderNum: 1,
        children: [
          {
            delFlag: '0',
            flag: '1',
            businessId: 201,
            parentWorkSpaceName: 'API 安全',
            workSpaceName: 'API 安全审计',
            parentId: 200,
            code: '006',
            ancestors: '0,200',
            orderNum: 1,
            children: [],
            selectType: null,
            createTime: '2023/10/10 11:00:00',
            createBy: 'admin',
          },
          {
            delFlag: '0',
            flag: '1',
            businessId: 202,
            parentWorkSpaceName: 'API 安全',
            workSpaceName: 'API 认证与授权',
            parentId: 200,
            code: '007',
            ancestors: '0,200',
            orderNum: 2,
            children: [],
            selectType: null,
            createTime: '2023/10/30 12:30:00',
            createBy: 'admin',
          },
        ],
        selectType: null,
        createTime: '2024-10-24 10:04:04',
        createBy: 'admin',
      },
      {
        delFlag: '0',
        flag: '1',
        businessId: 300,
        parentWorkSpaceName: '公共API',
        workSpaceName: 'API 监控',
        parentId: 0,
        code: '008',
        ancestors: '0',
        orderNum: 2,
        children: [
          {
            delFlag: '0',
            flag: '1',
            businessId: 301,
            parentWorkSpaceName: 'API 监控',
            workSpaceName: 'API 性能监控',
            parentId: 300,
            code: '009',
            ancestors: '0,300',
            orderNum: 1,
            children: [],
            selectType: null,
            createTime: '2023/10/20 10:00:00',
            createBy: 'admin',
          },
          {
            delFlag: '0',
            flag: '1',
            businessId: 302,
            parentWorkSpaceName: 'API 监控',
            workSpaceName: 'API 日志记录',
            parentId: 300,
            code: '010',
            ancestors: '0,300',
            orderNum: 2,
            children: [],
            selectType: null,
            createTime: '2023/11/05 13:00:00',
            createBy: 'admin',
          },
        ],
        selectType: null,
        createTime: '2024-10-24 10:04:04',
        createBy: 'admin',
      },
      {
        delFlag: '0',
        flag: '1',
        businessId: 400,
        parentWorkSpaceName: '公共API',
        workSpaceName: 'API 分析',
        parentId: 0,
        code: '011',
        ancestors: '0',
        orderNum: 3,
        children: [
          {
            delFlag: '0',
            flag: '1',
            businessId: 401,
            parentWorkSpaceName: 'API 分析',
            workSpaceName: 'API 流量分析',
            parentId: 400,
            code: '012',
            ancestors: '0,400',
            orderNum: 1,
            children: [],
            selectType: null,
            createTime: '2023/10/25 11:15:00',
            createBy: 'admin',
          },
        ],
        selectType: null,
        createTime: '2024-10-24 10:04:04',
        createBy: 'admin',
      },
    ],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
];
export const cardList = [
  {
    title: 'API 文档生成',
    scene: 'apiDocGeneration',
    parentWorkSpaceName: 'API 管理',
    path: '资源编目 / API 管理 / API 文档生成',
    sensitiveState: '非敏感',
    icon: 'mdi:file-document-outline',
    color: '#71c8d5',
    dept: '开发部',
    description: '自动生成 RESTful 和 GraphQL API 的文档，支持多种输出格式。',
    label: '工具',
    renewalFrequency: '每周',
    createdBy: 'admin',
    createdTime: '2023/10/01 09:00:00',
    view: '150',
    edit: '6',
    isShare: 'true',
  },
  {
    title: 'API 测试平台',
    scene: 'apiTestingPlatform',
    parentWorkSpaceName: 'API 管理',
    path: '资源编目 / API 管理 / API 测试平台',
    sensitiveState: '敏感',
    icon: 'mdi:test-tube',
    color: '#71c8d5',
    renewalFrequency: '每天',
    dept: '测试部',
    description: '提供一个全面的 API 测试环境，包括自动化测试和性能测试。',
    label: '测试',
    createdBy: 'admin',
    createdTime: '2023/10/05 14:30:00',
    view: '200',
    edit: '8',
    isShare: 'true',
  },
  {
    title: 'API 安全审计',
    scene: 'apiSecurityAudit',
    parentWorkSpaceName: 'API 安全',
    path: '资源编目 / API 安全 / API 安全审计',
    sensitiveState: '敏感',
    icon: 'mdi:shield-check',
    color: '#71c8d5',
    renewalFrequency: '每月',
    dept: '安全部',
    description: '定期进行 API 安全审查，确保所有接口符合安全标准。',
    label: '安全',
    createdBy: 'admin',
    createdTime: '2023/10/10 11:00:00',
    view: '180',
    edit: '7',
    isShare: 'false',
  },
  {
    title: 'API 版本管理',
    scene: 'apiVersionManagement',
    parentWorkSpaceName: 'API 管理',
    path: '资源编目 / API 管理 / API 版本管理',
    sensitiveState: '非敏感',
    icon: 'mdi:history',
    color: '#71c8d5',
    renewalFrequency: '每季度',
    dept: '架构部',
    description: '管理和维护不同版本的 API，确保向后兼容性和稳定性。',
    label: '管理',
    createdBy: 'admin',
    createdTime: '2023/10/15 09:45:00',
    view: '160',
    edit: '5',
    isShare: 'true',
  },
  {
    title: 'API 性能监控',
    scene: 'apiPerformanceMonitoring',
    parentWorkSpaceName: 'API 监控',
    path: '资源编目 / API 监控 / API 性能监控',
    sensitiveState: '敏感',
    icon: 'mdi:chart-line',
    color: '#71c8d5',
    renewalFrequency: '每天',
    dept: '运维部',
    description: '实时监控 API 的性能指标，如响应时间和吞吐量，以保证服务的高可用性。',
    label: '监控',
    createdBy: 'admin',
    createdTime: '2023/10/20 10:00:00',
    view: '190',
    edit: '6',
    isShare: 'false',
  },
  {
    title: 'API 流量分析',
    scene: 'apiTrafficAnalysis',
    parentWorkSpaceName: 'API 分析',
    path: '资源编目 / API 分析 / API 流量分析',
    sensitiveState: '非敏感',
    icon: 'mdi:chart-bar',
    color: '#71c8d5',
    renewalFrequency: '每周',
    dept: '数据分析部',
    description: '分析 API 的流量模式，识别使用趋势和潜在问题。',
    label: '分析',
    createdBy: 'admin',
    createdTime: '2023/10/25 11:15:00',
    view: '170',
    edit: '4',
    isShare: 'true',
  },
  {
    title: 'API 认证与授权',
    scene: 'apiAuthenticationAndAuthorization',
    parentWorkSpaceName: 'API 安全',
    path: '资源编目 / API 安全 / API 认证与授权',
    sensitiveState: '敏感',
    icon: 'mdi:lock',
    color: '#71c8d5',
    renewalFrequency: '每月',
    dept: '安全部',
    description: '实现强大的认证和授权机制，保护 API 不受未授权访问。',
    label: '安全',
    createdBy: 'admin',
    createdTime: '2023/10/30 12:30:00',
    view: '185',
    edit: '5',
    isShare: 'false',
  },
  {
    title: 'API 日志记录',
    scene: 'apiLogging',
    parentWorkSpaceName: 'API 监控',
    path: '资源编目 / API 监控 / API 日志记录',
    sensitiveState: '非敏感',
    icon: 'mdi:clipboard-list-outline',
    color: '#71c8d5',
    renewalFrequency: '每天',
    dept: '运维部',
    description: '详细记录 API 调用的日志，便于故障排查和行为审计。',
    label: '监控',
    createdBy: 'admin',
    createdTime: '2023/11/05 13:00:00',
    view: '165',
    edit: '3',
    isShare: 'true',
  },
];

export const columnInformationList: any[] = [
  {
    businessId: 1,
    columnName: 'name',
    chineseName: '姓名',
    fieldDescription: '姓名',
    fieldType: 'string',
    sensitiveState: '敏感',
    securityClassification: 'G3',
    sensitiveType: '姓名 (简体中文)',
    dataStandards: '-',
  },
  {
    businessId: 2,
    columnName: 'phone_number',
    chineseName: '手机号',
    fieldDescription: '手机号',
    fieldType: 'string',
    sensitiveState: '敏感',
    securityClassification: 'G3',
    sensitiveType: '手机号 (中国移动+86)',
    dataStandards: '-',
  },
  {
    businessId: 3,
    columnName: 'student_id',
    chineseName: '学号',
    fieldDescription: '学号',
    fieldType: 'string',
    sensitiveState: '敏感',
    securityClassification: 'G3',
    sensitiveType: '账户编号',
    dataStandards: '-',
  },
  {
    businessId: 4,
    columnName: 'major',
    chineseName: '专业',
    fieldDescription: '专业',
    fieldType: 'string',
    sensitiveState: '敏感',
    securityClassification: 'G10',
    sensitiveType: '专业',
    dataStandards: '-',
  },
  {
    businessId: 5,
    columnName: 'origin_city',
    chineseName: '生源地',
    fieldDescription: '生源地',
    fieldType: 'string',
    sensitiveState: '不敏感',
    securityClassification: '未分级',
    sensitiveType: '-',
    dataStandards: '-',
  },
  {
    businessId: 6,
    columnName: 'ethnic',
    chineseName: '民族',
    fieldDescription: '民族',
    fieldType: 'string',
    sensitiveState: '敏感',
    securityClassification: 'G2',
    sensitiveType: '民族',
    dataStandards: '-',
  },
];

export const treeDataList = [
  {
    name: '资源信息',
    selectedDeptId: 21,
    children: [],
  },
  {
    name: '列信息',
    selectedDeptId: 22,
    children: [],
  },
  {
    name: '采样数据',
    selectedDeptId: 23,
    children: [],
  },
];

/** 推送*/
export const personSchema: FormSchema[] = [
  {
    field: 'titleApplication',
    component: 'Input',
    colProps: { lg: 12, md: 12 },
    label: '申请标题',
    componentProps: {
      placeholder: '请输入标题',
    },
    required: true,
  },
  {
    field: 'reasonForApplication',
    component: 'Input',
    colProps: { lg: 12, md: 12 },
    label: '申请理由',
    componentProps: {
      placeholder: '请输入申请理由',
    },
  },
];

/** 推送*/
export const pushConfiguration: FormSchema[] = [
  {
    field: 'whetherToAutomaticallyCreateATable',
    component: 'Switch',
    colProps: { lg: 22, md: 22 },
    label: '是否自动建表',
  },
  {
    field: 'targetDataSource',
    label: '目标数据源',
    component: 'Select',
    required: true,
    componentProps: {
      options: [
        {
          label: '18interceptor(商场工作区)',
          value: '1',
        },
        {
          label: '19interceptor(商场工作区)',
          value: '2',
        },
      ],
      placeholder: '请选择目标数据源',
    },
    colProps: { span: 12 },
  },
  {
    field: 'database',
    label: '数据库',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        { label: 'dataset_push', value: '1' },
        { label: 'dataset', value: '2' },
      ],
      placeholder: '请选择数据库',
    },
    colProps: { span: 12 },
  },
  {
    field: 'pushCycle',
    label: '推送周期',
    component: 'Select',
    required: true,
    componentProps: {
      options: [
        { label: '无周期', value: '1' },
        { label: '每天', value: '2' },
        { label: '每周', value: '3' },
        { label: '每月', value: '4' },
        { label: '每季度', value: '5' },
        { label: '每年', value: '6' },
      ],
      placeholder: '请选择周期',
    },
    colProps: { span: 12 },
  },
  {
    field: 'HDFSDataSource',
    label: 'HDFS数据源',
    component: 'Select',
    required: true,
    componentProps: {
      options: [
        { label: 'hdfs', value: '1' },
        { label: 'hdfsE', value: '2' },
      ],
      placeholder: '请选择HDFS数据源',
    },
    colProps: { span: 12 },
  },

  {
    field: 'utilizeResources',
    component: 'RadioGroup',
    label: '使用资源',
    colProps: {
      span: 16,
    },
    defaultValue: '1',
    componentProps: {
      options: [
        {
          label: '源端',
          value: '1',
        },
        {
          label: '目标端',
          value: '2',
        },
      ],
      placeholder: '请选择使用资源',
    },
  },
];
